Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1223431 - Migrate php-pspell from aspell to hunspell
Summary: Migrate php-pspell from aspell to hunspell
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: php
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-20 13:42 UTC by Frank Büttner
Modified: 2016-04-18 05:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 14:35:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 590700 None None None Never
Red Hat Bugzilla 1211039 None None None Never

Internal Links: 590700 1211039

Description Frank Büttner 2015-05-20 13:42:11 UTC
Description of problem:
Unable to use the German dictionary.

Version-Release number of selected component (if applicable):
php-pspell-5.4.16-23.el7_0.3

How reproducible:
every time


Steps to Reproduce:
1. yum install php-pspell

Actual results:
php-pspell use aspell.


Expected results:
That php-pspell use hunspell and not aspell

Additional info:
aspell only contains an English dictionary.
The German and much more dictionaries are only available in hunspell.

Comment 3 Joe Orton 2016-03-09 14:24:44 UTC
This would be a large and potentially disruptive change, we've got no plans to do this in RHEL7.  We prioritize work based on customer feedback: please file a ticket referencing this bug with Red Hat Support explaining the business impact etc, and we can re-evaluate.

Comment 4 RHEL Product and Program Management 2016-03-09 14:35:56 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 5 Remi Collet 2016-04-18 05:17:00 UTC
Notice: the php-enchant extension use hunspell dictionaries.

See: http://blog.remirepo.net/post/2016/04/17/aspell-vs-hunspell-in-PHP


Note You need to log in before you can comment on or make changes to this bug.